Subject: bug#44047: current HEAD has been crashing on startup

From: Liam Stitt <[email-masked]>
Date: Sun, 1 Nov 2020 06:48:45 -0700 (MST)

On Mon, 26 Oct 2020, Eli Zaretskii wrote:

> Ping!  Any news on this?

Belatedly, yes: the problem spontaneously went away(!), after I 
accidentally full-screened my terminal emulator then restored it to 
normal size. While I am by no means certain of why that should have
such an effect, what digging I have been able to do suggests the
explanation might involve (1) a SIGWINCH that operation generated which 
(2) caused that particular screen-sessions's bash to set $COLUMNS and 
$LINES, which were previously nonextant.

I haven't been able to replicate the crash since. I can only suggest 
closing this bug report for now, and I'll reopen it if I manage to
figure out how to trigger the crash again.

-- 
Liam Stitt
[email-masked]